<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="../../">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Component View &mdash; openPASS Documentation</title>
      <link rel="stylesheet" type="text/css" href="../../_static/pygments.css?v=b86133f3" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/theme.css?v=19f00094" />
      <link rel="stylesheet" type="text/css" href="../../_static/css/custom.css?v=4ad39fc2" />

  
    <link rel="shortcut icon" href="../../_static/openPASS.ico"/>
  <!--[if lt IE 9]>
    <script src="../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="../../_static/jquery.js?v=5d32c60e"></script>
        <script src="../../_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="../../_static/documentation_options.js?v=6efca38a"></script>
        <script src="../../_static/doctools.js?v=888ff710"></script>
        <script src="../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="Algorithm_Lateral" href="components/algorithm_lateral.html" />
    <link rel="prev" title="Overview" href="10_overview.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../index.html" class="icon icon-home">
            openPASS
              <img src="../../_static/openPASS.png" class="logo" alt="Logo"/>
          </a>
              <div class="version">
                1.2.0
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <p class="caption" role="heading"><span class="caption-text">Installation Guide</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/10_getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/15_system_requirements.html">System Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/20_install_prerequisites.html">Installing Prerequisites</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/30_install_openpass.html">Installing openPASS</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/50_further_guidance.html">Further Guidance</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../installation_guide/60_conan.html">Building with Conan</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">User Guides</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../10_overview.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../20_tutorials.html">Tutorials</a></li>
<li class="toctree-l1"><a class="reference internal" href="../30_configs_in_depth.html">Configs in Depth</a></li>
<li class="toctree-l1"><a class="reference internal" href="../40_outputs_in_depth.html">Outputs in Depth</a></li>
<li class="toctree-l1 current"><a class="reference internal" href="../50_scenario_simulation.html">Simulator</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="10_overview.html">Overview</a></li>
<li class="toctree-l2 current"><a class="current reference internal" href="#">Component View</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#components-in-depth">Components in Depth</a><ul>
<li class="toctree-l4"><a class="reference internal" href="components/algorithm_lateral.html">Algorithm_Lateral</a></li>
<li class="toctree-l4"><a class="reference internal" href="components/algorithm_longitudinal.html">Algorithm_Longitudinal</a></li>
<li class="toctree-l4"><a class="reference internal" href="components/driver.html">Driver</a></li>
<li class="toctree-l4"><a class="reference internal" href="components/dynamics_regular_driving.html">Dynamics_RegularDriving</a></li>
<li class="toctree-l4"><a class="reference internal" href="components/dynamics_scenario.html">Dynamics_Scenario</a></li>
<li class="toctree-l4"><a class="reference internal" href="components/sensor_driver.html">Sensor_Driver</a></li>
<li class="toctree-l4"><a class="reference internal" href="components/spawner.html">Spawner</a></li>
<li class="toctree-l4"><a class="reference internal" href="components/vehicle.html">VehicleComponents</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Advanced topics</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/20_simulator_advanced.html">Simulator</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../advanced_topics/30_testing.html">EndToEnd Test Framework</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Developer Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/10_ide_support.html">IDE Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/20_documentation.html">Documentation Concept</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../developer_information/30_coding_conventions.html">Coding Guidelines</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Other Information</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/10_external_dependencies.html">External Dependencies</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/20_glossary.html">Glossary</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/30_gui_plugins.html">GUI Plugins</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../other_information/40_license.html">License</a></li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">openPASS</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../50_scenario_simulation.html">Simulator</a></li>
      <li class="breadcrumb-item active">Component View</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../_sources/user_guide/sim_user_guide/20_components.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="component-view">
<h1>Component View<a class="headerlink" href="#component-view" title="Link to this heading"></a></h1>
<p><strong>openPASS</strong> is divided into components, which can be roughly divided into <strong>core components</strong> and <strong>model components</strong>.
The most interesting core components are the individual <strong>spawners</strong>, which are responsible for populating the world in a realistic fashion.
Model components are again roughly divided into <strong>drivers</strong> and <strong>vehicle components</strong> and represent how an individual participant is composed.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>There are several additional components acting in the background, making sure things work as they should.
As a guideline, components parameterized through the <strong>ProfilesCatalog</strong> are scope of this guide, others not.</p>
</div>
<section id="components-in-depth">
<span id="simuserguide-components"></span><h2>Components in Depth<a class="headerlink" href="#components-in-depth" title="Link to this heading"></a></h2>
<p>In the following, all available components are described.</p>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="components/algorithm_lateral.html">Algorithm_Lateral</a><ul>
<li class="toctree-l2"><a class="reference internal" href="components/algorithm_lateral.html#detailed-description-of-the-module-s-features">Detailed description of the module’s features</a><ul>
<li class="toctree-l3"><a class="reference internal" href="components/algorithm_lateral.html#lateral-dynamics">Lateral dynamics</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/algorithm_lateral.html#heading-controller">Heading controller</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/algorithm_lateral.html#lateral-deviation-controller">Lateral deviation controller</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="components/algorithm_longitudinal.html">Algorithm_Longitudinal</a><ul>
<li class="toctree-l2"><a class="reference internal" href="components/algorithm_longitudinal.html#detailed-description-of-the-module-s-features">Detailed description of the module’s features</a><ul>
<li class="toctree-l3"><a class="reference internal" href="components/algorithm_longitudinal.html#inverted-longitudinal-dynamics-model">Inverted longitudinal dynamics model</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/algorithm_longitudinal.html#algorithm-for-optimal-gear-determination">Algorithm for optimal gear determination</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="components/driver.html">Driver</a><ul>
<li class="toctree-l2"><a class="reference internal" href="components/driver.html#algorithmagentfollowingdrivermodel">AlgorithmAgentFollowingDriverModel</a><ul>
<li class="toctree-l3"><a class="reference internal" href="components/driver.html#lateral-control">Lateral control</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/driver.html#longitudinal-control">Longitudinal control</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="components/dynamics_regular_driving.html">Dynamics_RegularDriving</a><ul>
<li class="toctree-l2"><a class="reference internal" href="components/dynamics_regular_driving.html#overview-of-the-module-s-functionalities">Overview of the module’s functionalities</a><ul>
<li class="toctree-l3"><a class="reference internal" href="components/dynamics_regular_driving.html#longitudinal-dynamics">Longitudinal dynamics</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/dynamics_regular_driving.html#lateral-dynamics">Lateral dynamics</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/dynamics_regular_driving.html#updating-position">Updating position</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="components/dynamics_scenario.html">Dynamics_Scenario</a><ul>
<li class="toctree-l2"><a class="reference internal" href="components/dynamics_scenario.html#defaultstrategies">DefaultStrategies</a><ul>
<li class="toctree-l3"><a class="reference internal" href="components/dynamics_scenario.html#keepvelocity-longitudinal">KeepVelocity - longitudinal</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/dynamics_scenario.html#keeplaneoffset-lateral">KeepLaneOffset - lateral</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="components/dynamics_scenario.html#strategies">Strategies</a><ul>
<li class="toctree-l3"><a class="reference internal" href="components/dynamics_scenario.html#followvelocityspline-longitudinal">FollowVelocitySpline - longitudinal</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/dynamics_scenario.html#performchangelane-lateral">PerformChangeLane - lateral</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/dynamics_scenario.html#followtrajectory-both">FollowTrajectory - both</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="components/sensor_driver.html">Sensor_Driver</a><ul>
<li class="toctree-l2"><a class="reference internal" href="components/sensor_driver.html#components-of-the-module">Components of the module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="components/sensor_driver.html#ownvehiclestates">OwnVehicleStates</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/sensor_driver.html#trafficruleinformation">TrafficRuleInformation</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/sensor_driver.html#geometryinformation">GeometryInformation</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/sensor_driver.html#surroundingobjects">SurroundingObjects</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="components/spawner.html">Spawner</a><ul>
<li class="toctree-l2"><a class="reference internal" href="components/spawner.html#prerunspawner">PreRunSpawner</a></li>
<li class="toctree-l2"><a class="reference internal" href="components/spawner.html#runtimespawner">RuntimeSpawner</a></li>
<li class="toctree-l2"><a class="reference internal" href="components/spawner.html#trafficgroups">TrafficGroups</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="components/vehicle.html">VehicleComponents</a><ul>
<li class="toctree-l2"><a class="reference internal" href="components/vehicle.html#aeb">AEB</a></li>
<li class="toctree-l2"><a class="reference internal" href="components/vehicle.html#dynamicstrajectoryfollower">DynamicsTrajectoryFollower</a></li>
<li class="toctree-l2"><a class="reference internal" href="components/vehicle.html#fmu-wrapper">FMU Wrapper</a></li>
<li class="toctree-l2"><a class="reference internal" href="components/vehicle.html#sensorgeometric2d">SensorGeometric2D</a></li>
<li class="toctree-l2"><a class="reference internal" href="components/vehicle.html#receivercar2x">ReceiverCar2X</a></li>
<li class="toctree-l2"><a class="reference internal" href="components/vehicle.html#ssp">SSP</a></li>
<li class="toctree-l2"><a class="reference internal" href="components/vehicle.html#vehicledynamics">VehicleDynamics</a><ul>
<li class="toctree-l3"><a class="reference internal" href="components/vehicle.html#actionsteeringsystem">ActionSteeringSystem</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/vehicle.html#actionpowertrain">ActionPowertrain</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/vehicle.html#actionbrakesystem">ActionBrakeSystem</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/vehicle.html#dynamicschassis">DynamicsChassis</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/vehicle.html#dynamicstiremodel">DynamicsTireModel</a></li>
<li class="toctree-l3"><a class="reference internal" href="components/vehicle.html#dynamicsmotionmodel">DynamicsMotionModel</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="10_overview.html" class="btn btn-neutral float-left" title="Overview" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="components/algorithm_lateral.html" class="btn btn-neutral float-right" title="Algorithm_Lateral" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2025 openPASS Working Group.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>